Skip to navigation

Get BoxSchema by ID

Get a single BoxSchema by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

box_schema_idstringRequired
ID of the BoxSchema.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
archiveReasonstring or nullOptional
archivedbooleanOptional
containerSchemaobject or nullOptional
createdAtstring or nullOptional
descriptionstringOptional
A description of the schema.
fieldDefinitionsstringOptionalformat: "uri"
heightinteger or nullOptional
idstringOptional
modifiedAtstring or nullOptional
namestringOptional
prefixstring or nullOptional
registryobject or nullOptional
systemNamestringOptional
A unique, stable identifier for this schema used for programmatic access and integrations.
typestring or nullOptional
widthinteger or nullOptional

Errors

400
Box Schema Get Request Bad Request Error
403
Box Schema Get Request Forbidden Error
404
Box Schema Get Request Not Found Error
429
Box Schema Get Request Too Many Requests Error
500
Box Schema Get Request Internal Server Error